org.eclipse.microprofile.rest.client.tck

## Class RestClientBuilderListenerTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.RestClientBuilderListenerTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class RestClientBuilderListenerTest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`RestClientBuilderListenerTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testRegistrarInvoked()` This test checks that a RestClientBuilderListener loaded via the service loader is invoked.

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestClientBuilderListenerTest

    public RestClientBuilderListenerTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testRegistrarInvoked

    public void testRegistrarInvoked()
                              throws Exception

This test checks that a RestClientBuilderListener loaded via the service loader is invoked. The RestClientBuilderListener impl used will register a ClientRequestFilter that aborts with a 200 status code - it is registered with priority 1. The test class registers another filter that will abort with a 500 status code, but at priority 2. If the RestClientBuilderListener impl is correctly invoked, then the request will abort with the 200; if not, it will abort with the 500.

Throws:
  `Exception` - - indicates test failure